/*
 Navicat Premium Data Transfer

 Source Server         : zz
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.50.233:3306
 Source Schema         : energy

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 05/11/2024 09:15:30
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for analysis_comment_description
-- ----------------------------
DROP TABLE IF EXISTS `analysis_comment_description`;
CREATE TABLE `analysis_comment_description` (
                                                `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
                                                `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                                `comment_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型编号',
                                                `comment` varchar(2000) DEFAULT '' COMMENT '富文本内容',
                                                `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
                                                `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                `update_by` int(11) NOT NULL DEFAULT '0' COMMENT '更新人',
                                                PRIMARY KEY (`id`),
                                                KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表文本描述 ';

-- ----------------------------
-- Table structure for analysis_comment_type_relation
-- ----------------------------
DROP TABLE IF EXISTS `analysis_comment_type_relation`;
CREATE TABLE `analysis_comment_type_relation` (
                                                  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
                                                  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
                                                  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                                  `comment_type_code` varchar(64) NOT NULL DEFAULT '' COMMENT '唯一编号',
                                                  `comment_type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型名称',
                                                  `is_defined` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否是自定义0：否 1：是',
                                                  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
                                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除0：否 1：是',
                                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COMMENT=' 分析结果评论类型关系表';

-- ----------------------------
-- Table structure for analysis_diagram_relation
-- ----------------------------
DROP TABLE IF EXISTS `analysis_diagram_relation`;
CREATE TABLE `analysis_diagram_relation` (
                                             `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                             `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
                                             `field_engine_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风机编号',
                                             `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                             `file_addr` varchar(650) NOT NULL COMMENT '分析结果地址minio',
                                             `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0-否 1-是)',
                                             `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             PRIMARY KEY (`id`),
                                             KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COMMENT='分析图表关系表 ';

-- ----------------------------
-- Table structure for analysis_general_file
-- ----------------------------
DROP TABLE IF EXISTS `analysis_general_file`;
CREATE TABLE `analysis_general_file` (
                                         `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次号',
                                         `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                         `file_addr` varchar(650) NOT NULL DEFAULT '' COMMENT '总文件地址minIO',
                                         `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0:否 1：是)',
                                         `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                         PRIMARY KEY (`id`),
                                         UNIQUE KEY `index_file_unique` (`batch_code`,`analysis_type_code`,`file_addr`) USING BTREE COMMENT '唯一索引',
                                         KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COMMENT='分析结果总文件信息表 ';

-- ----------------------------
-- Table structure for analysis_option_records
-- ----------------------------
DROP TABLE IF EXISTS `analysis_option_records`;
CREATE TABLE `analysis_option_records` (
                                           `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `option_content` varchar(50) NOT NULL DEFAULT '' COMMENT '操作内容',
                                           `option_by` int(10) NOT NULL DEFAULT '0' COMMENT '操作人id',
                                           `option_by_name` varchar(20) NOT NULL COMMENT '操作人名称',
                                           `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '操作时间',
                                           PRIMARY KEY (`id`),
                                           KEY `index_field_code` (`field_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析操作记录';

-- ----------------------------
-- Table structure for analysis_result
-- ----------------------------
DROP TABLE IF EXISTS `analysis_result`;
CREATE TABLE `analysis_result` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
                                   `analysis_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '分析状态(-1-未分析，10-排队中，20-分析中，30-已分析)',
                                   `err_state` tinyint(1) DEFAULT '0' COMMENT '异常状态（0：否 1：是）',
                                   `err_code` varchar(100) DEFAULT '' COMMENT '异常编号',
                                   `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
                                   `create_by` int(11) DEFAULT '0' COMMENT '创建人',
                                   `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_by` int(11) DEFAULT '0' COMMENT '更新人',
                                   `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   `analysis_progress` decimal(6,2) DEFAULT '0.00' COMMENT '分析进度\n',
                                   `call_status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否自动调用分析算法。0：否 1：是',
                                   `on_off_call` tinyint(2) NOT NULL DEFAULT '0' COMMENT '开启自动分析 0：否 1：是',
                                   PRIMARY KEY (`id`),
                                   UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB AUTO_INCREMENT=240 DEFAULT CHARSET=utf8mb4 COMMENT='分析结果表—批次分析结果表';

-- ----------------------------
-- Table structure for analysis_result_report
-- ----------------------------
DROP TABLE IF EXISTS `analysis_result_report`;
CREATE TABLE `analysis_result_report` (
                                          `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                          `report_name` varchar(255) NOT NULL DEFAULT '',
                                          `report_type` tinyint(2) NOT NULL DEFAULT '1',
                                          `report_addr` varchar(500) NOT NULL DEFAULT '',
                                          `batch_code` varchar(50) NOT NULL DEFAULT '',
                                          `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                          `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析结果报告';

-- ----------------------------
-- Table structure for analysis_type
-- ----------------------------
DROP TABLE IF EXISTS `analysis_type`;
CREATE TABLE `analysis_type` (
                                 `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `parent_id` bigint(11) NOT NULL COMMENT '分析类型父级编号',
                                 `type_flag` varchar(200) NOT NULL DEFAULT '' COMMENT '分析类型标识',
                                 `type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型名称',
                                 `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
                                 `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COMMENT='分析类型字典表 ';

-- ----------------------------
-- Table structure for anemometer_tower
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower`;
CREATE TABLE `anemometer_tower` (
                                    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                    `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
                                    `anemometer_name` varchar(32) DEFAULT NULL COMMENT '测风塔名称',
                                    `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
                                    `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
                                    `state` tinyint(1) DEFAULT NULL COMMENT '状态',
                                    `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                    `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                    `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                    PRIMARY KEY (`id`),
                                    KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='测风塔信息 ';

-- ----------------------------
-- Table structure for anemometer_tower_height
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower_height`;
CREATE TABLE `anemometer_tower_height` (
                                           `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
                                           `anemometer_height` double(10,2) DEFAULT NULL COMMENT '测风塔高度',
                                           `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                           `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                           `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                           `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                           PRIMARY KEY (`id`),
                                           KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='测风塔层高信息表 ';

-- ----------------------------
-- Table structure for anemometer_tower_relation
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower_relation`;
CREATE TABLE `anemometer_tower_relation` (
                                             `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                             `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
                                             `tower_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
                                             `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                             `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                             `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                             `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                             PRIMARY KEY (`id`),
                                             KEY `field_code` (`field_code`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='测风塔与风场关系表 ';

-- ----------------------------
-- Table structure for data_transfer
-- ----------------------------
DROP TABLE IF EXISTS `data_transfer`;
CREATE TABLE `data_transfer` (
                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
                                 `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
                                 `engine_count` int(11) NOT NULL DEFAULT '0' COMMENT '机组数量',
                                 `transfer_type` varchar(32) NOT NULL DEFAULT '' COMMENT '转换类型',
                                 `transfer_addr` varchar(100) DEFAULT '' COMMENT '转换路径',
                                 `time_granularity` int(10) NOT NULL DEFAULT '0' COMMENT '时间粒度（以秒为单位）',
                                 `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
                                 `transfer_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '转换状态(-1：初始化状态 0-转换中 1-转换成功 2-转换失败)',
                                 `trans_sys_status` tinyint(1) DEFAULT '-1' COMMENT '转化系统的状态值',
                                 `transfer_data_count` bigint(20) DEFAULT NULL COMMENT '转化后数据总条数',
                                 `data_min_time` datetime DEFAULT NULL COMMENT '数据中最小时间',
                                 `data_max_time` datetime DEFAULT NULL COMMENT '数据中最大时间',
                                 `transfer_start_time` datetime DEFAULT NULL COMMENT '数据开始转化的时间',
                                 `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
                                 `create_by` int(11) NOT NULL COMMENT '创建人',
                                 `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `update_by` int(11) NOT NULL COMMENT '更新人',
                                 `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                 `call_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0:未调用 1：已调用  是否已调用分析算法',
                                 `transfer_progress` decimal(6,2) NOT NULL DEFAULT '1.00' COMMENT '转换进度',
                                 PRIMARY KEY (`id`),
                                 KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号'
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COMMENT='数据操作 ';

-- ----------------------------
-- Table structure for data_transfer_history
-- ----------------------------
DROP TABLE IF EXISTS `data_transfer_history`;
CREATE TABLE `data_transfer_history` (
                                         `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `batch_code` varchar(50) NOT NULL COMMENT '批次编号',
                                         `engine_count` int(4) DEFAULT '0' COMMENT '风机数量',
                                         `transfer_addr` varchar(500) NOT NULL DEFAULT '' COMMENT '转换地址',
                                         `transfer_type` varchar(50) NOT NULL DEFAULT '' COMMENT '转换类型',
                                         `err_info` varchar(1000) NOT NULL DEFAULT '' COMMENT '异常信息',
                                         `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
                                         `option_by` int(11) NOT NULL COMMENT '转换人',
                                         `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='数据转换异常历史表 ';

-- ----------------------------
-- Table structure for data_transfer_type
-- ----------------------------
DROP TABLE IF EXISTS `data_transfer_type`;
CREATE TABLE `data_transfer_type` (
                                      `id` bigint(11) NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
                                      `transfer_type_name` varchar(100) NOT NULL DEFAULT '',
                                      `transfer_type` varchar(20) NOT NULL COMMENT '转换类型',
                                      `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT=' 转换类型表（scada分钟级 scada秒级）';

-- ----------------------------
-- Table structure for detection_point_dic
-- ----------------------------
DROP TABLE IF EXISTS `detection_point_dic`;
CREATE TABLE `detection_point_dic` (
                                       `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `detection_point_cn` varchar(100) NOT NULL DEFAULT '' COMMENT '测点中文名称',
                                       `detection_point_en` varchar(100) NOT NULL DEFAULT '' COMMENT '测点英文名称',
                                       `drive_mode` varchar(100) NOT NULL DEFAULT '' COMMENT '驱动方式（格式：1,2,3）',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=utf8mb4 COMMENT='测点与驱动方式字典表';

-- ----------------------------
-- Table structure for dict_constants
-- ----------------------------
DROP TABLE IF EXISTS `dict_constants`;
CREATE TABLE `dict_constants` (
                                  `id` int(11) NOT NULL AUTO_INCREMENT,
                                  `contents_type` tinyint(4) DEFAULT NULL COMMENT '常量类型',
                                  `contents_value` tinyint(4) DEFAULT NULL COMMENT '常量值',
                                  `contents_name` varchar(255) DEFAULT NULL COMMENT '常量显示内容',
                                  `contents_describe` varchar(255) DEFAULT NULL COMMENT '描述信息',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=393 DEFAULT CHARSET=utf8mb4 COMMENT='字典表';

-- ----------------------------
-- Table structure for power_word_relation_contract
-- ----------------------------
DROP TABLE IF EXISTS `power_word_relation_contract`;
CREATE TABLE `power_word_relation_contract` (
                                                `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
                                                `field_contract_id` int(11) DEFAULT NULL COMMENT '风场合同功率曲线关系表id',
                                                `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
                                                `active_power` double(10,3) DEFAULT NULL COMMENT '有功功率',
                                                `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
                                                `density` double(10,3) DEFAULT NULL COMMENT '当地空气密度',
                                                `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                                `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                                `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                                `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                                `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                                PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1502 DEFAULT CHARSET=utf8mb4 COMMENT='合同功率曲线关系表 合同功率曲线-关联机型厂商+风场';

-- ----------------------------
-- Table structure for power_word_relation_criterion
-- ----------------------------
DROP TABLE IF EXISTS `power_word_relation_criterion`;
CREATE TABLE `power_word_relation_criterion` (
                                                 `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                 `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
                                                 `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
                                                 `active_power` double(10,2) DEFAULT NULL COMMENT '有功功率',
                                                 `density` double(10,3) DEFAULT NULL COMMENT '空气密度',
                                                 `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                                 `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                                 `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                                 `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                                 `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=536 DEFAULT CHARSET=utf8mb4 COMMENT='标准功率曲线关系表 标准功率曲线-关联机型';

-- ----------------------------
-- Table structure for sys_areas_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_areas_info`;
CREATE TABLE `sys_areas_info` (
                                  `id` int(11) NOT NULL AUTO_INCREMENT,
                                  `province` varchar(255) DEFAULT NULL,
                                  `city` varchar(255) DEFAULT NULL,
                                  `area` varchar(255) DEFAULT NULL,
                                  `area_code` varchar(10) DEFAULT NULL COMMENT '区域编号',
                                  `type` int(11) DEFAULT NULL,
                                  `root_id` int(11) DEFAULT NULL,
                                  PRIMARY KEY (`id`),
                                  KEY `areas_index` (`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2310 DEFAULT CHARSET=utf8 COMMENT='省市区县表';

-- ----------------------------
-- Table structure for sys_organization_auth
-- ----------------------------
DROP TABLE IF EXISTS `sys_organization_auth`;
CREATE TABLE `sys_organization_auth` (
                                         `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `role_id` int(11) DEFAULT NULL COMMENT '角色编号',
                                         `code_number` varchar(32) DEFAULT NULL COMMENT '组织编号',
                                         `code_type` varchar(32) DEFAULT NULL COMMENT '组织类型',
                                         `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                         `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                         `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                         `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                         PRIMARY KEY (`id`),
                                         KEY `role_id` (`role_id`),
                                         KEY `code_number` (`code_number`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8mb4 COMMENT='组织架构权限关系表 ';

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
                                  `permission_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '资源表主键id',
                                  `permission_name` varchar(255) NOT NULL COMMENT '资源名称',
                                  `parent_id` int(11) NOT NULL COMMENT '资源父id',
                                  `permission_code` varchar(255) NOT NULL COMMENT '资源code',
                                  `permission_type` int(11) NOT NULL COMMENT '资源类型(1 目录 2 菜单 3按钮)',
                                  `permission_url` varchar(255) DEFAULT NULL COMMENT '资源url',
                                  `permission_state` int(11) NOT NULL DEFAULT '1' COMMENT '资源状态 0 不可用 1是正常',
                                  `permission_show` tinyint(1) DEFAULT NULL COMMENT '是否显示1显示2不显示',
                                  `permission_sort` int(11) NOT NULL COMMENT '顺序',
                                  `permission_icon_url` varchar(255) DEFAULT NULL COMMENT '图标icon Url',
                                  `permission_depth` int(11) DEFAULT NULL COMMENT '所有父id集合',
                                  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=231 DEFAULT CHARSET=utf8 COMMENT='资源表';

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
                            `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
                            `role_description` varchar(255) NOT NULL COMMENT '角色描述',
                            `role_code` varchar(50) NOT NULL COMMENT '角色code',
                            `role_type` int(11) DEFAULT NULL COMMENT '角色类型',
                            `role_available` int(11) NOT NULL DEFAULT '1' COMMENT '是否可用',
                            `source` tinyint(1) DEFAULT NULL COMMENT '来源',
                            `create_by` int(11) DEFAULT NULL,
                            `create_time` datetime DEFAULT NULL,
                            `update_by` int(11) DEFAULT NULL,
                            `update_time` datetime DEFAULT NULL,
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COMMENT='角色表';

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
                                       `id` int(11) NOT NULL AUTO_INCREMENT,
                                       `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
                                       `permission_id` int(11) DEFAULT NULL COMMENT '资源表主键id',
                                       `create_time` datetime DEFAULT NULL,
                                       `update_time` datetime DEFAULT NULL,
                                       PRIMARY KEY (`id`),
                                       KEY `role_id` (`role_id`),
                                       KEY `permission_id` (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4451 DEFAULT CHARSET=utf8 COMMENT='角色资源关联表';

-- ----------------------------
-- Table structure for sys_user_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_info`;
CREATE TABLE `sys_user_info` (
                                 `id` int(11) NOT NULL AUTO_INCREMENT,
                                 `login_name` varchar(32) DEFAULT NULL COMMENT '登录名',
                                 `user_name` varchar(255) DEFAULT NULL,
                                 `user_phone` char(11) DEFAULT NULL,
                                 `user_password` varchar(255) DEFAULT NULL,
                                 `state` int(11) DEFAULT '1' COMMENT '0：禁用，1：可用',
                                 `create_by` int(11) DEFAULT NULL,
                                 `create_time` datetime DEFAULT NULL,
                                 `update_by` int(11) DEFAULT NULL,
                                 `update_time` datetime DEFAULT NULL,
                                 PRIMARY KEY (`id`),
                                 UNIQUE KEY `id_idx` (`id`) USING BTREE,
                                 UNIQUE KEY `phone_idx` (`user_phone`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=135 DEFAULT CHARSET=utf8 COMMENT='后台用户表';

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
                                 `user_id` int(11) DEFAULT NULL COMMENT '用户id',
                                 `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
                                 `create_time` datetime DEFAULT NULL,
                                 `update_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色表';

-- ----------------------------
-- Table structure for unit_dict_constants
-- ----------------------------
DROP TABLE IF EXISTS `unit_dict_constants`;
CREATE TABLE `unit_dict_constants` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                       `parent_id` bigint(20) DEFAULT NULL,
                                       `contents_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
                                       `contents_value` tinyint(4) DEFAULT NULL COMMENT '常量值',
                                       `contents_type` tinyint(2) DEFAULT NULL COMMENT '常量类型1属性2属性值',
                                       `contents_describe` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
                                       `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                       `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                       `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                       `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                       `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='部件带子集树结构的字典表';

-- ----------------------------
-- Table structure for wave_data_transfer
-- ----------------------------
DROP TABLE IF EXISTS `wave_data_transfer`;
CREATE TABLE `wave_data_transfer` (
                                      `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '唯一标识',
                                      `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场名称',
                                      `transfer_addr` varchar(200) NOT NULL DEFAULT '' COMMENT '转换数据文件地址',
                                      `trasfer_status` tinyint(2) NOT NULL DEFAULT '-1' COMMENT '转换状态。-1：未转换（默认状态）0：转换中 1转换完成 2：转换异常',
                                      `err_code` varchar(50) DEFAULT '' COMMENT '异常code码',
                                      `err_info` varchar(500) DEFAULT '' COMMENT '异常信息',
                                      `transfer_start_time` datetime NOT NULL COMMENT '转换开始时间',
                                      `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换结束数据',
                                      `transfer_progress` int(3) NOT NULL DEFAULT '0' COMMENT '转换进度',
                                      `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
                                      `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_by` int(11) NOT NULL DEFAULT '0' COMMENT '修改人',
                                      `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='振动数据转换表';

-- ----------------------------
-- Table structure for wave_data_transfer_histoty
-- ----------------------------
DROP TABLE IF EXISTS `wave_data_transfer_histoty`;
CREATE TABLE `wave_data_transfer_histoty` (
                                              `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '唯一标识',
                                              `transfer_addr` varchar(200) NOT NULL DEFAULT '' COMMENT '转换地址',
                                              `transfer_start_time` datetime NOT NULL COMMENT '转换开始时间',
                                              `transfer_finish_time` datetime NOT NULL COMMENT '转换结束时间',
                                              `option_by` int(11) NOT NULL DEFAULT '0' COMMENT '转换人',
                                              `create_time` timestamp NOT NULL COMMENT '创建时间',
                                              `err_code` varchar(50) DEFAULT '' COMMENT '异常代码',
                                              `err_info` varchar(200) DEFAULT '' COMMENT '异常信息',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for wind_company
-- ----------------------------
DROP TABLE IF EXISTS `wind_company`;
CREATE TABLE `wind_company` (
                                `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
                                `company_name` varchar(32) DEFAULT NULL COMMENT '企业名称',
                                `state` varchar(32) DEFAULT NULL COMMENT '状态',
                                `province_id` int(11) DEFAULT NULL COMMENT '省',
                                `province_name` varchar(10) DEFAULT NULL COMMENT '省名字',
                                `city_id` int(11) DEFAULT NULL COMMENT '市',
                                `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
                                `described` varchar(32) DEFAULT NULL COMMENT '企业描述',
                                `sort` varchar(32) DEFAULT NULL COMMENT '排序',
                                `del_state` varchar(32) DEFAULT NULL COMMENT '删除状态',
                                `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                PRIMARY KEY (`id`),
                                KEY `company_code` (`company_code`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8mb4 COMMENT='企业信息表(项目公司)';

-- ----------------------------
-- Table structure for wind_engine_group
-- ----------------------------
DROP TABLE IF EXISTS `wind_engine_group`;
CREATE TABLE `wind_engine_group` (
                                     `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
                                     `engine_code` varchar(32) DEFAULT NULL COMMENT '风机编号',
                                     `engine_name` varchar(32) DEFAULT NULL COMMENT '风机名称（原始风机编号）',
                                     `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
                                     `rated_capacity` double(10,2) DEFAULT NULL COMMENT '额定容量-千瓦',
                                     `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
                                     `hub_height` double(10,2) DEFAULT NULL COMMENT '轮毂高度',
                                     `state` tinyint(1) DEFAULT NULL COMMENT '状态',
                                     `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
                                     `latitude` decimal(15,8) DEFAULT NULL COMMENT '维度',
                                     `sightcing` tinyint(1) DEFAULT NULL COMMENT '是否标杆风机1是2否',
                                     `rated_wind_speed` double(10,2) DEFAULT NULL COMMENT '额定风速 （m/s） - 废弃',
                                     `rated_cut_in_windspeed` double(10,2) DEFAULT NULL COMMENT '切入风速 （m/s） - 废弃',
                                     `rated_cut_out_windspeed` double(10,2) DEFAULT NULL COMMENT '切出风速 （m/s） - 废弃',
                                     `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                     `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
                                     `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                     `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                     `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                     `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1030 DEFAULT CHARSET=utf8mb4 COMMENT='风机机组信息表 ';

-- ----------------------------
-- Table structure for wind_engine_mill
-- ----------------------------
DROP TABLE IF EXISTS `wind_engine_mill`;
CREATE TABLE `wind_engine_mill` (
                                    `mill_type_code` varchar(32) NOT NULL COMMENT '编号',
                                    `machine_type_code` varchar(32) NOT NULL COMMENT '机型型号',
                                    `manufacturer_name` varchar(32) DEFAULT NULL COMMENT '厂商名称',
                                    `manufacturer_code` varchar(32) NOT NULL COMMENT '厂商编号',
                                    `brand` varchar(32) DEFAULT NULL COMMENT '品牌名称',
                                    `state` tinyint(1) DEFAULT NULL COMMENT '状态',
                                    `tower_height` double(10,2) DEFAULT NULL COMMENT '塔筒高度',
                                    `vane_long` double(10,2) DEFAULT NULL COMMENT '叶片长度',
                                    `curved_motion_type` int(11) DEFAULT NULL COMMENT '驱动方式',
                                    `combination` varchar(32) DEFAULT NULL COMMENT '组合字段',
                                    `power_criterion_url` varchar(255) DEFAULT NULL COMMENT '标准功率曲线url地址',
                                    `rotor_diameter` double(10,2) DEFAULT NULL COMMENT ' 叶轮直径（m）',
                                    `rotational_speed_ratio` double(10,2) DEFAULT NULL COMMENT '传动比-转速比（无单位）',
                                    `rated_wind_speed` double(10,2) DEFAULT NULL COMMENT '额定风速 （m/s）',
                                    `rated_cut_in_windspeed` double(10,2) DEFAULT NULL COMMENT '切入风速 （m/s）',
                                    `rated_cut_out_windspeed` double(10,2) DEFAULT NULL COMMENT '切出风速 （m/s）',
                                    `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                                    `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                    `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                    PRIMARY KEY (`mill_type_code`,`machine_type_code`,`manufacturer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机机型信息 ';

-- ----------------------------
-- Table structure for wind_exception_count
-- ----------------------------
DROP TABLE IF EXISTS `wind_exception_count`;
CREATE TABLE `wind_exception_count` (
                                        `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                        `batch_code` varchar(32) NOT NULL DEFAULT '' COMMENT '批次编号',
                                        `engine_code` varchar(32) NOT NULL DEFAULT '' COMMENT '风机编号',
                                        `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
                                        `err_count` int(11) NOT NULL DEFAULT '0' COMMENT '异常数目',
                                        `handle_err_count` int(11) NOT NULL DEFAULT '0' COMMENT '处理异常数',
                                        `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除 0：否 1：是',
                                        `create_by` int(11) NOT NULL COMMENT '创建人',
                                        `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `update_by` int(11) NOT NULL COMMENT '更新人',
                                        `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                        `err_desc` varchar(500) NOT NULL DEFAULT '' COMMENT '异常信息描述',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析异常数（首页统计） ';

-- ----------------------------
-- Table structure for wind_field
-- ----------------------------
DROP TABLE IF EXISTS `wind_field`;
CREATE TABLE `wind_field` (
                              `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                              `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
                              `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
                              `field_name` varchar(32) DEFAULT NULL COMMENT '风场名称',
                              `density` double(10,3) DEFAULT NULL COMMENT '空气密度-合同功率曲线',
                              `state` tinyint(1) DEFAULT NULL COMMENT '启用状态',
                              `engine_number` int(11) DEFAULT NULL COMMENT '风机数量',
                              `rated_capacity_number` double(10,3) DEFAULT NULL COMMENT '总额定容量-sum机组',
                              `province_id` int(11) DEFAULT NULL COMMENT '省编号',
                              `province_name` varchar(32) DEFAULT NULL COMMENT '省名字',
                              `city_id` int(11) DEFAULT NULL COMMENT '市编号',
                              `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
                              `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
                              `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
                              `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
                              `power_contract_url` varchar(255) DEFAULT NULL COMMENT '合同功率曲线地址',
                              `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
                              `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
                              `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                              `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                              `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                              `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                              PRIMARY KEY (`id`),
                              KEY `field_code` (`field_code`)
) ENGINE=InnoDB AUTO_INCREMENT=89 DEFAULT CHARSET=utf8mb4 COMMENT='风场信息表 ';

-- ----------------------------
-- Table structure for wind_field_batch
-- ----------------------------
DROP TABLE IF EXISTS `wind_field_batch`;
CREATE TABLE `wind_field_batch` (
                                    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                    `batch_code` varchar(32) DEFAULT '' COMMENT '风场批次编号',
                                    `batch_name` varchar(32) DEFAULT '' COMMENT '风场批次名称',
                                    `field_code` varchar(32) DEFAULT '' COMMENT '风场编号',
                                    `field_name` varchar(100) DEFAULT '' COMMENT '风场名称',
                                    `batch_state` tinyint(2) DEFAULT '1' COMMENT '批次状态 1：启用 0：停用',
                                    `is_delete` tinyint(2) DEFAULT '0' COMMENT '删除状态 0：否 1：是',
                                    `create_by` varchar(20) DEFAULT '' COMMENT '创建人',
                                    `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `update_by` varchar(20) DEFAULT '' COMMENT '更新人',
                                    `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                    PRIMARY KEY (`id`),
                                    UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引',
                                    UNIQUE KEY `index_batch_name` (`batch_name`) USING BTREE COMMENT '批次名称索引',
                                    KEY `index_field_code` (`field_code`) USING BTREE COMMENT '风场编号索引'
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COMMENT='风机批次信息表 批次etl风机信息表';

-- ----------------------------
-- Table structure for wind_field_contract
-- ----------------------------
DROP TABLE IF EXISTS `wind_field_contract`;
CREATE TABLE `wind_field_contract` (
                                       `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
                                       `field_code` varchar(50) DEFAULT NULL,
                                       `mill_type_code` varchar(50) DEFAULT NULL COMMENT '机型code',
                                       `machine_type_code` varchar(32) DEFAULT NULL,
                                       `contract_source` varchar(500) DEFAULT NULL,
                                       `cover_id` int(11) DEFAULT NULL COMMENT '覆盖id',
                                       `del_state` tinyint(1) DEFAULT NULL,
                                       `create_by` int(11) DEFAULT NULL,
                                       `create_time` datetime DEFAULT NULL,
                                       `update_by` int(11) DEFAULT NULL,
                                       `update_time` datetime DEFAULT NULL,
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COMMENT='合同功率曲线和风场关系表';

-- ----------------------------
-- Table structure for wind_field_resource
-- ----------------------------
DROP TABLE IF EXISTS `wind_field_resource`;
CREATE TABLE `wind_field_resource` (
                                       `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
                                       `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
                                       `file_name` varchar(100) DEFAULT NULL COMMENT '上传文件名称',
                                       `type` varchar(32) DEFAULT NULL COMMENT '上传类型',
                                       `resource_url` varchar(500) DEFAULT NULL COMMENT '上传文件地址',
                                       `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                       `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                       `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                       `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                       PRIMARY KEY (`id`),
                                       KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场资源信息表 ';

-- ----------------------------
-- Table structure for wind_relation
-- ----------------------------
DROP TABLE IF EXISTS `wind_relation`;
CREATE TABLE `wind_relation` (
                                 `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `code_number` varchar(32) DEFAULT NULL COMMENT '对象编号',
                                 `code_name` varchar(32) DEFAULT NULL COMMENT '编号名称',
                                 `parent_code` varchar(32) DEFAULT NULL COMMENT '父级编号',
                                 `type` varchar(32) DEFAULT NULL COMMENT '类型',
                                 `create_by` int(11) DEFAULT NULL COMMENT '创建人',
                                 `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                 `update_by` int(11) DEFAULT NULL COMMENT '更新人',
                                 `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                 PRIMARY KEY (`id`),
                                 KEY `code_number` (`code_number`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8mb4 COMMENT='风场关系表 ';

SET FOREIGN_KEY_CHECKS = 1;
